Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Reporting

Get Diamond Unlock Records

get
/reporting/unlocked

Return all diamond unlock records matching the filters defined by the query parameters.

Query parameters
pageinteger · min: 1Optional

Page number

Default: 1
sizeinteger · min: 1 · max: 1000OptionalDefault: 100
searchstringOptional

Search for a diamond unlock record by its diamond_id or participant_id.

unlocked_at__gtestring · date-timeOptional

Filter to unlock records for diamonds that were unlocked on or after the specified date and time.

unlocked_at__ltstring · date-timeOptional

Filter to unlock records for diamonds that were before the specified date and time.

order_bystringOptionalDefault: -unlocked_at,diamond_id
Responses
200

Successful Response

application/json

A paginated response containing zero or more diamond unlock records.

nextstring · nullableOptional

The URL for the next page.

pageinteger · min: 1 · nullableRequired

The number of the current page.

pagesinteger · nullableOptional

The total number of pages.

previousstring · nullableOptional

The URL of the previous page.

totalintegerRequired

The total number of results across all pages.

get/reporting/unlocked
GET /reporting/unlocked HTTP/1.1
Host: api.<id>.tracr.network
Accept: */*
{
  "next": "text",
  "page": 1,
  "pages": 1,
  "previous": "text",
  "results": [
    {
      "carat_range": "text",
      "carat_weight": "text",
      "diamond_id": "text",
      "participant_id": "text",
      "unit_price": "text",
      "unlocked_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "total": 1
}

Export Diamond Unlock Records

get
/reporting/unlocked/export

Export all diamond unlock records matching the filters defined by the query parameters as an excel spreadsheet.

Query parameters
searchstringOptional

Search for a diamond unlock record by its diamond_id or participant_id.

unlocked_at__gtestring · date-timeOptional

Filter to unlock records for diamonds that were unlocked on or after the specified date and time.

unlocked_at__ltstring · date-timeOptional

Filter to unlock records for diamonds that were before the specified date and time.

order_bystringOptionalDefault: -unlocked_at,diamond_id
Responses
200

Successful Response

application/json
anyOptional
get/reporting/unlocked/export
GET /reporting/unlocked/export HTTP/1.1
Host: api.<id>.tracr.network
Accept: */*

No content

Last updated